<AddinTemplates
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:noNamespaceSchemaLocation="../../Infrastructure/Schemas/AnalysisTemplatesSchema.xsd"
>
  <ComponentTemplates>
    <ComponentTemplate
              Id="VistaTFSetupTemplate"
              Deletable="true"
              Replaceable="true"
              Required="false"
              Shareable="false"
			  Image="setup">

      <CleanCommand>Ansys.CFX.Foundation.Commands.CleanContainerCommand, Ans.CFX.Foundation, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</CleanCommand>
      <CreateCommand>Ansys.VistaTF.DataModel.Commands.CreateThroughflowSetupCommand, Ans.VistaTF.DataModel, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</CreateCommand>
      <DeletingContainerCommand>Ansys.CFX.Foundation.Commands.DeleteContainerCommand, Ans.CFX.Foundation, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</DeletingContainerCommand>
      <DuplicateCommand>Ansys.VistaTF.DataModel.Commands.DuplicateThroughflowContainerCommand, Ans.VistaTF.DataModel, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</DuplicateCommand>
      <RefreshCommand>Ansys.VistaTF.DataModel.Commands.RefreshThroughflowSetupCommand, Ans.VistaTF.DataModel, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</RefreshCommand>
      <ResetCommand>Ansys.VistaTF.DataModel.Commands.ResetContainerCommand, Ans.VistaTF.DataModel, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</ResetCommand>
      <SourcesChangedCommand>Ansys.VistaTF.DataModel.Commands.UpdateSetupDataSourcesCommand, Ans.VistaTF.DataModel, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</SourcesChangedCommand>
      <StatusQuery>Ansys.CFX.Foundation.Queries.GetCellStateQuery, Ans.CFX.Foundation, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</StatusQuery>
      <UpdateCommand>Ansys.VistaTF.DataModel.Commands.UpdateThroughflowSetupCommand, Ans.VistaTF.DataModel, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</UpdateCommand>
      <ComponentPropertyDataQuery>Ansys.VistaTF.DataModel.Queries.GetThroughflowSetupDataPropertiesQuery, Ans.VistaTF.DataModel, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</ComponentPropertyDataQuery>

      <InputLists>
        <InputList AllowEmptyInputs="false">
          <MandatoryInput MaxNumberOfInputs="1">VistaGeometry</MandatoryInput>
          <OptionalInput MaxNumberOfInputs="1">VistaTFPhysics</OptionalInput>
        </InputList>

        <InputList AllowEmptyInputs="true">
          <OptionalInput MaxNumberOfInputs="1">Geometry</OptionalInput>
        </InputList>
      </InputLists>

      <OutputList>
        <Output>VistaTFSetup</Output>
      </OutputList>
    </ComponentTemplate>
    
    <ComponentTemplate
      Id="VistaTFSolutionTemplate"
      Replaceable="true"
      Required="false"
      Shareable="false"
	  Image="solution">

      <CleanCommand>Ansys.CFX.Foundation.Commands.CleanContainerCommand, Ans.CFX.Foundation, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</CleanCommand>
      <CreateCommand>Ansys.VistaTF.DataModel.Commands.CreateThroughflowSolutionCommand, Ans.VistaTF.DataModel, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</CreateCommand>
      <DeletingContainerCommand>Ansys.CFX.Foundation.Commands.DeleteContainerCommand, Ans.CFX.Foundation, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</DeletingContainerCommand>
      <DuplicateCommand>Ansys.VistaTF.DataModel.Commands.DuplicateThroughflowContainerCommand, Ans.VistaTF.DataModel, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</DuplicateCommand>
      <ResetCommand>Ansys.VistaTF.DataModel.Commands.ResetContainerCommand, Ans.VistaTF.DataModel, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</ResetCommand>
      <SourcesChangedCommand>Ansys.VistaTF.DataModel.Commands.UpdateSolutionDataSourcesCommand, Ans.VistaTF.DataModel, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</SourcesChangedCommand>
      <StatusQuery>Ansys.CFX.Foundation.Queries.GetCellStateQuery, Ans.CFX.Foundation, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</StatusQuery>
      <UpdateCommand>Ansys.VistaTF.DataModel.Commands.UpdateThroughflowSolutionCommand, Ans.VistaTF.DataModel, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</UpdateCommand>
      <ComponentPropertyDataQuery>Ansys.VistaTF.DataModel.Queries.GetComponentPropertiesQuery, Ans.VistaTF.DataModel, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</ComponentPropertyDataQuery>

      <InputLists>
        <InputList AllowEmptyInputs="false">
          <OptionalInput MaxNumberOfInputs="1">VistaTFSetup</OptionalInput>
          <OptionalInput MaxNumberOfInputs="1">VistaTFSolution</OptionalInput>
        </InputList>
        <InputList AllowEmptyInputs="false">
          <OptionalInput MaxNumberOfInputs="1">VistaTFSolution</OptionalInput>
        </InputList>
        <InputList AllowEmptyInputs="false">
          <OptionalInput MaxNumberOfInputs="1">VistaTFSetup</OptionalInput>
        </InputList>
      </InputLists>

      <OutputList>
        <Output>VistaTFSolution</Output>
      </OutputList>
    </ComponentTemplate>
    </ComponentTemplates>

  <SystemTemplates>
    <SystemTemplate Id="Throughflow System Template">
      <ExternalComponent Caption="Geometry" ComponentTemplateId="GeometryCellTemplate"/>
      <InternalComponent Caption="Setup" ComponentTemplateId="VistaTFSetupTemplate"/>
      <InternalComponent Caption="Solution" ComponentTemplateId="VistaTFSolutionTemplate"/>
      <ExternalComponent Caption="Results" ComponentTemplateId="CFDPostTemplate"/>
    </SystemTemplate>
    <SystemTemplate Id="ThroughflowBG System Template">
      <ExternalComponent Caption="Blade Design" ComponentTemplateId="TSGeometryTemplate"/>
      <InternalComponent Caption="Setup" ComponentTemplateId="VistaTFSetupTemplate"/>
      <InternalComponent Caption="Solution" ComponentTemplateId="VistaTFSolutionTemplate"/>
      <ExternalComponent Caption="Results" ComponentTemplateId="CFDPostTemplate"/>
    </SystemTemplate>
    <SystemTemplate Id="VistaTF System Template">
      <InternalComponent Caption="Setup" ComponentTemplateId="VistaTFSetupTemplate"/>
      <InternalComponent Caption="Solution" ComponentTemplateId="VistaTFSolutionTemplate"/>
      <ExternalComponent Caption="Results" ComponentTemplateId="CFDPostTemplate"/>
    </SystemTemplate>
    <SystemTemplate Id="VistaTF No Results System Template">
      <InternalComponent Caption="Setup" ComponentTemplateId="VistaTFSetupTemplate"/>
      <InternalComponent Caption="Solution" ComponentTemplateId="VistaTFSolutionTemplate"/>
    </SystemTemplate>
  </SystemTemplates>
  <Systems>
    <System Id="Throughflow" Caption="Throughflow" Abbreviation="TF" Image="vistatf" SystemTemplateId="Throughflow System Template" ToolboxGroup="Analysis Systems" ValidationCode="10061">
      <Property Name="PhysicsType">Fluids</Property>
      <Property Name="PhysicsTypeDisplayString">Fluids</Property>
    </System>
    <System Id="ThroughflowBG" Caption="Throughflow (BladeGen)" Abbreviation="TFBG" Image="vistatf" SystemTemplateId="ThroughflowBG System Template" ToolboxGroup="Analysis Systems" ValidationCode="10061">
      <Property Name="PhysicsType">Fluids</Property>
      <Property Name="PhysicsTypeDisplayString">Fluids</Property>
    </System>
    <System Id="Vista TF" Caption="Vista TF" Abbreviation="VTF" Image="vistatf" SystemTemplateId="VistaTF System Template" ToolboxGroup="Component Systems" ValidationCode="10061">
      <Property Name="PhysicsType">Fluids</Property>
      <Property Name="PhysicsTypeDisplayString">Fluids</Property>
    </System>
    <System Id="Vista TF No Results" Caption="Vista TF" Abbreviation="VTF" Image="vistatf" SystemTemplateId="VistaTF No Results System Template" ToolboxGroup="Component Systems" ValidationCode="10061">
      <Property Name="PhysicsType">Fluids</Property>
      <Property Name="PhysicsTypeDisplayString">Fluids</Property>
    </System>
  </Systems>

  <HelpIds>
    <SidebarHelpIds>
      <SidebarHelpId SystemId="Vista TF">wb2sb_vistatfapp</SidebarHelpId>
      <SidebarHelpId SystemId="Throughflow">wb2sb_ThroughflowAN</SidebarHelpId>
      <SidebarHelpId SystemId="ThroughflowBG">wb2sb_ThroughflowAN</SidebarHelpId>
    </SidebarHelpIds>
    <Tooltips>
      <Tooltip SystemId="VTF"></Tooltip>
    </Tooltips>
    <QuickHelpIdList>
    </QuickHelpIdList>
  </HelpIds>
</AddinTemplates>
